Fetch a list of the user's recipient accounts. Use the profileId parameter to filter by the profile who created the accounts, you should do this based on the personal or business profile ID you have linked to, based on your use case. Other filters are listed below for your convenience, for example currency is a useful filter to use when presenting the user a list of recipients to choose from in the case they have already submitted the target currency in your flow.
Pagination is supported for this endpoint. The response includes the seekPositionForNext and size parameters to manage this.
It works by setting size and seekPosition parameters in the call. Set the value in the seekPositionForNext of the previous response into the seekPosition parameter of your subsequent call in order to get the next page. To get the current page again, use the seekPositionForCurrent value.
You can also set the sort parameter to control the sorting of the response, for example:
?sort=id,asc sort by id ascending.
?sort=id,desc sort by id descending.
?sort=currency,asc sort by currency ascending.
All query parameters are optional.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
- Production Environmenthttps://api.wise.com/v2/accounts
- Sandbox Environmenthttps://api.wise-sandbox.com/v2/accounts
curl -i -X GET \
'https://api.wise.com/v2/accounts?creatorId=0&profileId=0&profile=0¤cy=string&active=true&type=string&ownedByCustomer=true&size=20&seekPosition=0&sort=id%2Casc' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'Paginated list of recipient accounts.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Seek position for the next page (use as seekPosition to fetch the next page).
{ "content": [ { "id": 40000000, "creatorId": 41000000, "profileId": 30000000, "name": { … }, "currency": "GBP", "country": "GB", "type": "SortCode", "legalEntityType": "PERSON", "active": true, "details": { … }, "commonFieldMap": { … }, "hash": "666ef880f8aa6113fa112ba6531d3ed2c26dd9fgbd7de5136bfb827a6e800479", "accountSummary": "(04-00-75) 37778842", "longAccountSummary": "GBP account ending in 8842", "displayFields": [ … ], "isInternal": false, "ownedByCustomer": false } ], "seekPositionForNext": 40000001, "seekPositionForCurrent": 40000000, "sort": { "empty": true, "sorted": false, "unsorted": true }, "size": 20 }